package com.gree.mall.manager.bean.apply;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.WorkerInvolveChargeEnum;
import com.gree.mall.manager.enums.WorkerInvolveEnum;
import com.gree.mall.manager.plus.entity.WorkerInvolveApply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class WorkerInvolveApplyVO{

    @ApiModelProperty(value = "状态")
    private WorkerInvolveEnum status;

    @ApiModelProperty(value = "工单号")
    private String orderBaseId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "联系人")
    private String linkName;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "客户电话")
    private String userMobile;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "省")
    private String province;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "省id")
    private String provinceId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "市")
    private String city;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "市id")
    private String cityId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "区")
    private String area;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "区id")
    private String areaId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "街道")
    private String street;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "街道id")
    private String streetId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "详细地址")
    private String address;


    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "师傅编号")
    private String workerNumber;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "师傅名称")
    private String workerName;


    @ApiModelProperty(value = "申请服务人员编号")
    private String applyWorkerNumber;

    @ApiModelProperty(value = "申请服务人员名称")
    private String applyWorkerName;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "完工时间")
    private Date overTime;

    @ApiModelProperty(value = "问题描述")
    private String problemDescription;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "申请理由")
    private String reason;



    @ApiModelProperty(value = "申请费用")
    private BigDecimal websitMaintenancePricePass;

    @ApiModelProperty(value = "网点审批时间")
    private Date websitAuditTime;

    @ApiModelProperty(value = "网点审批人")
    private String websitPrincipal;

    @ApiModelProperty(value = "网点审批备注")
    private String websitRemark;

    @ApiModelProperty(value = "是否向客户收费")
    private WorkerInvolveChargeEnum websitCustomerCharges;


    @ApiModelProperty(value = "中心审批负责人")
    private String auditPrincipal;

    @ApiModelProperty(value = "审批费用")
    private BigDecimal maintenancePricePass;

    @ApiModelProperty(value = "中心审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "中心审批人")
    private String principal;

    @ApiModelProperty(value = "中心审批备注")
    private String remark;
}
